Subject: RE: [Sip] t field in SDP

From: [email-masked]
Date: Tue, 18 May 2004 15:09:54 +0530

1) If the Stop time is non Zero, and in between the call it demineshes
to zero then what happens? how is the termination of session takes
place?
If the stop time is 0 then the session terminates.that means session
becomes inactive.
You can take this the case you established a call and RTP is active and
it becomes inactive in the middle.than its your application
responsibility to observe this and act on terminating the session. 
 
2) here both the timings are represented in decimal, but what it
signifies.That is if the user wants to set start time as 1 minute then
what value he/she should set for the start time in t .
These values are decimal representation of NTP time values in seconds.
To get the unixtime ,subtract decimal number 2208988800 from that
number.
 
-SReeram

	-----Original Message-----
	From: [email-masked] [mailto:[email-masked]] On Behalf
Of Vishnu Yadav
	Sent: Tuesday, May 18, 2004 2:28 PM
	To: [email-masked]
	Subject: [Sip] t field in SDP

	In SDP, the line   t=<start time>  <stop time>, 
	describes start time & end time of session .
	 
	1) If the Stop time is non Zero, and in between the call it
demineshes to zero then what happens? how is the termination of session
takes place?
	2) here both the timings are represented in decimal, but what it
signifies.That is if the user wants to set start time as 1 minute then
what value he/she should set for the start time in t .
	 
	Thanx in advance
	vishnu yadav

********************************DISCLAIMER******************************
****
	
	This e-mail and any attachment is for authorised use by the
intended
	recipient(s) only. It may contain proprietary material,
confidential
	information and/or be subject to legal privilege of Deccanet
Designs Ltd.
	If you have received this message in error, please notify the
originator
	immediately. If you are not the intended recipient, you are
notified that
	you are strictly prohibited from retaining, using, copying,
altering or
	disclosing the contents of this message.

************************************************************************
****

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 20 May 2004 16:40:19 -0400

My advice is to not use anything but 0 0.

The t parameter was defined initially for loosely coupled multicast 
conferences, where the only signaling was the SDP, and it needed to 
indicate when you should join and leave the multicast group.

For traditional SIP calls, it has little meaning, since the SIP 
signaling indicates the start and stop (INVITE created on start, BYE 
sent on stop). RFC 3264 recommends (at SHOULD strength) setting it to 0 
0. I doubt that anything else will interoperate, since I suspect almost 
all implementations completely ignore this field, expecting it to be 0 0.

-Jonathan R.

[email-masked] wrote:

> to zero then what happens? how is the termination of session takes place?
> To get the unixtime ,subtract decimal number 2208988800 from that number.
>  
> -SReeram
> 
>     *From:* [email-masked] [mailto:[email-masked]] *On Behalf Of
>     *Vishnu Yadav
>     *Sent:* Tuesday, May 18, 2004 2:28 PM
>     *To:* [email-masked]
>     *Subject:* [Sip] t field in SDP
> 
>     demineshes to zero then what happens? how is the termination of
>     session takes place?
>     signifies.That is if the user wants to set start time as 1 minute
>     then what value he/she should set for the start time in t .
>      
>     Thanx in advance
>     vishnu yadav
> 
> ********************************DISCLAIMER**********************************
> 
> This e-mail and any attachment is for authorised use by the intended
> recipient(s) only. It may contain proprietary material, confidential
> information and/or be subject to legal privilege of Deccanet Designs Ltd.
> If you have received this message in error, please notify the originator
> immediately. If you are not the intended recipient, you are notified that
> you are strictly prohibited from retaining, using, copying, altering or
> ****************************************************************************

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip